<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 10.12.2018
 * Time: 22:17
 */
use Nette;
use Nette\Application\UI\Control;
use Nette\Application\UI\Form;

class CommentControl extends Control
{
    private $post_id;

    public function __construct($post_id)
    {
        $this->post_id = $post_id;
    }

    protected function render()
    {
        $form = new Form;
        $form->addTextArea('text', 'Text:')
            ->setRequired();
        $form->addHidden('post_id' )->setValue($this->post_id);
        $form->addHidden('user_id' )->setValue($this->getUser()->id);

        $form->addSubmit('send', 'Send');
        $form->onSuccess[] = [$this, 'postFormSucceeded'];

        return $form;
    }

    public function postFormSucceeded(Form $form, \stdClass $values)
    {
        if (!$this->getUser()->isLoggedIn()) {
            $this->error('You have to be log in.');
        }

        $this->database->table('comments')->insert($values);

        $this->flashMessage("Comment added.", 'success');
        $this->redirect('create');
    }
}