<?php

namespace App\Controller;

use App\Entity\Comment;
use App\Entity\Post;
use App\Form\CommentType;
use App\Form\PostType;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class CommentController extends AbstractController
{
    /**
     * @Route("/comment", name="comment")
     */
    public function index()
    {
        return $this->render('comment/index.html.twig', [
            'controller_name' => 'CommentController',
        ]);
    }

    /**
     * @Route("/show", name="create_comment")
     */
    public function create(Request $request) {
        $id = $request->request->get('form')['id'];
        //form
        $comment = new Comment();
        $post = $this->getDoctrine()
            ->getManager()
            ->getRepository(Post::class)->find($id);


        //save record
        $comment->setUser($this->getUser());
        $comment->setText($request->request->get('form')['text']);
        $comment->setPost($post);
        $entityManager = $this->getDoctrine()->getManager();
        $entityManager->persist($comment);
        $entityManager->flush();

        //message
        $this->addFlash(
            'success',
            'Comment added!'
        );

        //redirect
        return $this->redirectToRoute('show_post', array('id' => $id));
    }
}
