<?php

namespace App\Controller;

use App\Entity\User;
use App\Form\UserInfoType;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class UserController extends AbstractController
{
    /**
     * @Route("/user", name="user")
     */
    public function index()
    {
        return $this->render('user/index.html.twig');
    }

    /**
     * @Route("/user/edit/{id}", name="user_edit")
     */
    public function update($id, Request $request)
    {
        if ($this->getUser()->getId() == $id) {
            $entityManager = $this->getDoctrine()->getManager();
            $user = $entityManager->getRepository(User::class)->find($id);

            $start = microtime(true);
            $form = $this->createForm(UserInfoType::class, $user);
            $form->handleRequest($request);
            if ($form->isSubmitted() && $form->isValid()) {
                //update record

                $entityManager->flush();

                $time = microtime(true) - $start;
                //message
                $this->addFlash(
                    'success',
                    'Profile edited!'
                );

                //redirect
                return $this->redirectToRoute('index');
            } 
        } else {
            $this->addFlash(
                'error',
                'You do not have permission!'
            );

            //redirect
            return $this->redirectToRoute('index');
        }

        return $this->render('user/update.html.twig',
            ['form' => $form->createView()
        ]);
    }
}
